OpenCV: cv::WImageViewC< T, C > Class Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | Public Member Functions | Protected Attributes | List of all members
cv::WImageViewC< T, C > Class Template Reference
Core functionality

`#include "wimage.hpp"`

Inheritance diagram for cv::WImageViewC< T, C >:

## Public Types
enum | { kChannels = C }
typedef WImage< T >::BaseType | BaseType
Public Types inherited from cv::WImageC< T, C >
enum | { kChannels = C }
typedef WImage< T >::BaseType | BaseType
Public Types inherited from cv::WImage< T >
typedef T | BaseType

## Public Member Functions
| WImageViewC ()
| WImageViewC (WImageC< T, C > *img, int c, int r, int width, int height)
| WImageViewC (T *data, int width, int height, int width_step=-1)
| WImageViewC (IplImage *img)
| WImageViewC (const WImageC< T, C > &img)
| WImageViewC (const WImageViewC< T, C > &img)
virtual | ~WImageViewC ()
WImageViewC & | operator= (const WImageC< T, C > &img)
WImageViewC & | operator= (const WImageViewC< T, C > &img)
Public Member Functions inherited from cv::WImageC< T, C >
| WImageC (IplImage *img)
virtual | ~WImageC ()=0
int | Channels () const
void | CopyFrom (const WImageC< T, C > &src)
WImageViewC< T, C > | View (int c, int r, int width, int height)
Public Member Functions inherited from cv::WImage< T >
virtual | ~WImage ()=0
int | Channels () const
int | ChannelSize () const
void | CopyFrom (const WImage< T > &src)
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
int | Height () const
T * | ImageData ()
const T * | ImageData () const
IplImage * | Ipl ()
const IplImage * | Ipl () const
T * | operator() (int c, int r)
const T * | operator() (int c, int r) const
int | PixelSize () const
const T * | Row (int r) const
T * | Row (int r)
void | SetZero ()
WImageView< T > | View (int c, int r, int width, int height)
int | Width () const
int | WidthStep () const

## Protected Attributes
IplImage | header_
Protected Attributes inherited from cv::WImage< T >
IplImage * | image_

## Additional Inherited Members
Protected Member Functions inherited from cv::WImageC< T, C >
| WImageC (const WImageC &)
void | operator= (const WImageC &)
void | SetIpl (IplImage *image)
Protected Member Functions inherited from cv::WImage< T >
| WImage (const WImage &)
| WImage (IplImage *img)
void | operator= (const WImage &)
void | SetIpl (IplImage *image)

## Member Typedef Documentation

## ◆ BaseType

template<typename T, int C>

typedef WImage<T>::BaseType cv::WImageViewC< T, C >::BaseType

## Member Enumeration Documentation

## ◆ anonymous enum

template<typename T, int C>

anonymous enum

Enumerator
kChannels |

## Constructor & Destructor Documentation

## ◆ ~WImageViewC()

template<typename T, int C>

virtual cv::WImageViewC< T, C >::~WImageViewC | ( |  | ) |
| inlinevirtual

## ◆ WImageViewC() [1/3]

template<typename T, int C>

cv::WImageViewC< T, C >::WImageViewC | ( | IplImage * | img | ) |
| inline

## ◆ WImageViewC() [2/3]

template<typename T, int C>

cv::WImageViewC< T, C >::WImageViewC | ( | const WImageC< T, C > & | img | ) |
| inline

## ◆ WImageViewC() [3/3]

template<typename T, int C>

cv::WImageViewC< T, C >::WImageViewC | ( | const WImageViewC< T, C > & | img | ) |
| inline

## Member Function Documentation

## ◆ operator=() [1/2]

template<typename T, int C>

WImageViewC& cv::WImageViewC< T, C >::operator= | ( | const WImageC< T, C > & | img | ) |
| inline

## ◆ operator=() [2/2]

template<typename T, int C>

WImageViewC& cv::WImageViewC< T, C >::operator= | ( | const WImageViewC< T, C > & | img | ) |
| inline

## Member Data Documentation

## ◆ header_

template<typename T, int C>

IplImage cv::WImageViewC< T, C >::header_
| protected

The documentation for this class was generated from the following file:

- core/include/opencv2/core/wimage.hpp